//
// Este archivo ha sido generado por la arquitectura JavaTM para la implantación de la referencia de enlace (JAXB) XML v2.3.0-b170202.1032 
// Visite <a href="https://jaxb.java.net/">https://jaxb.java.net/</a> 
// Todas las modificaciones realizadas en este archivo se perderán si se vuelve a compilar el esquema de origen. 
// Generado el: 2024.06.18 a las 10:03:47 AM CEST 
//

package com.ejie.ad74a.ws.client.prestador.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * 
 * Clase DatosInformeSocialType - fInforme: fecha del informe - sola: 0: vive
 * sola 1: vive acompañada - estaSolaManana: 0: no, 1: si - estaSolaTarde: 0:
 * no, 1: si - estaSolaNoche: 0: no, 1: si - relacionEntorno: EnumValues · 0:
 * buena · 1: Aceptable · 2: Mala · 3: Sin relacion - familiarFallecido: 0: no,
 * 1: si - vinculoFallecido: ínculo con el fallecido - visitasFamilia: Enum
 * values: · 0: todos los días · 1: Semanalmente · 2: Mensualmente · 3:
 * Esporádicamente · 4: Nunca - visitasAmigos: Enum values: · 0: todos los días
 * · 1: Semanalmente · 2: Mensualmente · 3: Esporádicamente · 4: Nunca -
 * frecuenciaSalidas: Enum values: · 0: todos los días · 1: Semanalmente · 2:
 * Mensualmente · 3: Esporádicamente · 4: Nunca - tiempoSinVisitas: Enum values:
 * · 0: 3 dias · 1: 1 Semana · 2: 1 mes - observaciones - rutaFichero: Ruta PID
 * del fichero
 * 
 * 
 * <p>
 * Clase Java para DatosInformeSocialType complex type.
 * 
 * <p>
 * El siguiente fragmento de esquema especifica el contenido que se espera que
 * haya en esta clase.
 * 
 * <pre>
 * &lt;complexType name="DatosInformeSocialType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;all&gt;
 *         &lt;element name="fInforme" type="{}zsdate"/&gt;
 *         &lt;element name="sola" type="{}BinarioEnum"/&gt;
 *         &lt;element name="estaSolaManana" type="{}BinarioEnum"/&gt;
 *         &lt;element name="estaSolaTarde" type="{}BinarioEnum"/&gt;
 *         &lt;element name="estaSolaNoche" type="{}BinarioEnum"/&gt;
 *         &lt;element name="relacionEntorno" type="{}RelacionEntonrnoEnum"/&gt;
 *         &lt;element name="familiarFallecido" type="{}BinarioEnum"/&gt;
 *         &lt;element name="vinculoFallecido" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="visitasFamilia" type="{}FrecuenciaEnum"/&gt;
 *         &lt;element name="visitasAmigos" type="{}FrecuenciaEnum"/&gt;
 *         &lt;element name="frecuenciaSalidas" type="{}FrecuenciaEnum"/&gt;
 *         &lt;element name="tiempoSinVisitas" type="{}tiempoSinVisitasEnum"/&gt;
 *         &lt;element name="observaciones" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="rutaFichero" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *       &lt;/all&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatosInformeSocialType", propOrder = {

})
public class DatosInformeSocialType {

	@XmlElement(required = true)
	protected String fInforme;
	protected int sola;
	protected int estaSolaManana;
	protected int estaSolaTarde;
	protected int estaSolaNoche;
	protected int relacionEntorno;
	protected int familiarFallecido;
	@XmlElement(required = true)
	protected String vinculoFallecido;
	protected int visitasFamilia;
	protected int visitasAmigos;
	protected int frecuenciaSalidas;
	protected int tiempoSinVisitas;
	@XmlElement(required = true)
	protected String observaciones;
	@XmlElement(required = true)
	protected String rutaFichero;

	/**
	 * Obtiene el valor de la propiedad fInforme.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFInforme() {
		return fInforme;
	}

	/**
	 * Define el valor de la propiedad fInforme.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setFInforme(String value) {
		this.fInforme = value;
	}

	/**
	 * Obtiene el valor de la propiedad sola.
	 * 
	 */
	public int getSola() {
		return sola;
	}

	/**
	 * Define el valor de la propiedad sola.
	 * 
	 */
	public void setSola(int value) {
		this.sola = value;
	}

	/**
	 * Obtiene el valor de la propiedad estaSolaManana.
	 * 
	 */
	public int getEstaSolaManana() {
		return estaSolaManana;
	}

	/**
	 * Define el valor de la propiedad estaSolaManana.
	 * 
	 */
	public void setEstaSolaManana(int value) {
		this.estaSolaManana = value;
	}

	/**
	 * Obtiene el valor de la propiedad estaSolaTarde.
	 * 
	 */
	public int getEstaSolaTarde() {
		return estaSolaTarde;
	}

	/**
	 * Define el valor de la propiedad estaSolaTarde.
	 * 
	 */
	public void setEstaSolaTarde(int value) {
		this.estaSolaTarde = value;
	}

	/**
	 * Obtiene el valor de la propiedad estaSolaNoche.
	 * 
	 */
	public int getEstaSolaNoche() {
		return estaSolaNoche;
	}

	/**
	 * Define el valor de la propiedad estaSolaNoche.
	 * 
	 */
	public void setEstaSolaNoche(int value) {
		this.estaSolaNoche = value;
	}

	/**
	 * Obtiene el valor de la propiedad relacionEntorno.
	 * 
	 */
	public int getRelacionEntorno() {
		return relacionEntorno;
	}

	/**
	 * Define el valor de la propiedad relacionEntorno.
	 * 
	 */
	public void setRelacionEntorno(int value) {
		this.relacionEntorno = value;
	}

	/**
	 * Obtiene el valor de la propiedad familiarFallecido.
	 * 
	 */
	public int getFamiliarFallecido() {
		return familiarFallecido;
	}

	/**
	 * Define el valor de la propiedad familiarFallecido.
	 * 
	 */
	public void setFamiliarFallecido(int value) {
		this.familiarFallecido = value;
	}

	/**
	 * Obtiene el valor de la propiedad vinculoFallecido.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getVinculoFallecido() {
		return vinculoFallecido;
	}

	/**
	 * Define el valor de la propiedad vinculoFallecido.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setVinculoFallecido(String value) {
		this.vinculoFallecido = value;
	}

	/**
	 * Obtiene el valor de la propiedad visitasFamilia.
	 * 
	 */
	public int getVisitasFamilia() {
		return visitasFamilia;
	}

	/**
	 * Define el valor de la propiedad visitasFamilia.
	 * 
	 */
	public void setVisitasFamilia(int value) {
		this.visitasFamilia = value;
	}

	/**
	 * Obtiene el valor de la propiedad visitasAmigos.
	 * 
	 */
	public int getVisitasAmigos() {
		return visitasAmigos;
	}

	/**
	 * Define el valor de la propiedad visitasAmigos.
	 * 
	 */
	public void setVisitasAmigos(int value) {
		this.visitasAmigos = value;
	}

	/**
	 * Obtiene el valor de la propiedad frecuenciaSalidas.
	 * 
	 */
	public int getFrecuenciaSalidas() {
		return frecuenciaSalidas;
	}

	/**
	 * Define el valor de la propiedad frecuenciaSalidas.
	 * 
	 */
	public void setFrecuenciaSalidas(int value) {
		this.frecuenciaSalidas = value;
	}

	/**
	 * Obtiene el valor de la propiedad tiempoSinVisitas.
	 * 
	 */
	public int getTiempoSinVisitas() {
		return tiempoSinVisitas;
	}

	/**
	 * Define el valor de la propiedad tiempoSinVisitas.
	 * 
	 */
	public void setTiempoSinVisitas(int value) {
		this.tiempoSinVisitas = value;
	}

	/**
	 * Obtiene el valor de la propiedad observaciones.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getObservaciones() {
		return observaciones;
	}

	/**
	 * Define el valor de la propiedad observaciones.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setObservaciones(String value) {
		this.observaciones = value;
	}

	/**
	 * Obtiene el valor de la propiedad rutaFichero.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRutaFichero() {
		return rutaFichero;
	}

	/**
	 * Define el valor de la propiedad rutaFichero.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRutaFichero(String value) {
		this.rutaFichero = value;
	}

}
